#ifndef _IMAGES_H_
#define _IMAGES_H_

#include "r_typedefs.h"

typedef struct
{
    uint16_t u16Pic_X;
    uint16_t u16Pic_Y;
    uint16_t u16Pic_Width;
    uint16_t u16Pic_Height;
    uint16_t u16Pic_Format;
    uint32_t u32Pic_Addr;
} t_PicStruct;

#define Font     22u
#define JPG      21u
#define ARGB8888 15u
#define RGBA8888 16u
#define ARGB1555 11u
#define RGBA5551 12u
#define ARGB4444 13u
#define RGBA4444 14u
#define ARGB6666 0xFFu
#define RGBA6666 0xFFu
#define RGB565   10u
#define RGB888   0xFFu

enum SpriteName
{
    ditu = 0u,
    ditu_1,
    ditu_2,
    Nb_12_0,
    Nb_12_1,
    Nb_12_2,
    Nb_12_3,
    Nb_12_4,
    Nb_12_5,
    Nb_12_6,
    Nb_12_7,
    Nb_12_8,
    Nb_12_9,
    Nb_12_dian,
    Nb_12_heng,
    Nb_13_0,
    Nb_13_1,
    Nb_13_2,
    Nb_13_3,
    Nb_13_4,
    Nb_13_5,
    Nb_13_6,
    Nb_13_7,
    Nb_13_8,
    Nb_13_9,
    Nb_13_douhao,
    Nb_13_heng,
    Nb_14_0,
    Nb_14_1,
    Nb_14_2,
    Nb_14_3,
    Nb_14_4,
    Nb_14_5,
    Nb_14_6,
    Nb_14_7,
    Nb_14_8,
    Nb_14_9,
    Nb_14_dian,
    Nb_15_0,
    Nb_15_1,
    Nb_15_2,
    Nb_15_3,
    Nb_15_4,
    Nb_15_5,
    Nb_15_6,
    Nb_15_7,
    Nb_15_8,
    Nb_15_9,
    Nb_15_dian,
    Nb_15_douhao,
    Nb_15_fuhao,
    Nb_15_maohao,
    Nb_17_0,
    Nb_17_1,
    Nb_17_2,
    Nb_17_3,
    Nb_17_4,
    Nb_17_5,
    Nb_17_6,
    Nb_17_7,
    Nb_17_8,
    Nb_17_9,
    Nb_17_maohao,
    Nb_19_0,
    Nb_19_1,
    Nb_19_2,
    Nb_19_3,
    Nb_19_4,
    Nb_19_5,
    Nb_19_6,
    Nb_19_7,
    Nb_19_8,
    Nb_19_9,
    Nb_19_dian,
    Nb_20_0,
    Nb_20_1,
    Nb_20_2,
    Nb_20_3,
    Nb_20_4,
    Nb_20_5,
    Nb_20_6,
    Nb_20_7,
    Nb_20_8,
    Nb_20_9,
    Nb_20_dian,
    Nb_20_heng,
    Nb_20_maohao,
    Nb_21_0,
    Nb_21_1,
    Nb_21_2,
    Nb_21_3,
    Nb_21_4,
    Nb_21_5,
    Nb_21_6,
    Nb_21_7,
    Nb_21_8,
    Nb_21_9,
    Nb_21_dian,
    Nb_21_hengxian,
    Nb_21_maohao,
    CN_Nb_28_0,
    CN_Nb_28_1,
    CN_Nb_28_2,
    CN_Nb_28_3,
    CN_Nb_28_4,
    CN_Nb_28_5,
    CN_Nb_28_6,
    CN_Nb_28_7,
    CN_Nb_28_8,
    CN_Nb_28_9,
    CN_Nb_28_dian,
    CN_Nb_28_heng,
    CN_RC_Nb_12_0,
    CN_RC_Nb_12_1,
    CN_RC_Nb_12_2,
    CN_RC_Nb_12_3,
    CN_RC_Nb_12_4,
    CN_RC_Nb_12_5,
    CN_RC_Nb_12_6,
    CN_RC_Nb_12_7,
    CN_RC_Nb_12_8,
    CN_RC_Nb_12_9,
    CN_RC_Nb_12_heng,
    CN_RC_Nb_14_0,
    CN_RC_Nb_14_1,
    CN_RC_Nb_14_2,
    CN_RC_Nb_14_3,
    CN_RC_Nb_14_4,
    CN_RC_Nb_14_5,
    CN_RC_Nb_14_6,
    CN_RC_Nb_14_7,
    CN_RC_Nb_14_8,
    CN_RC_Nb_14_9,
    CN_RC_Nb_14_dian,
    CN_RC_Nb_19_0,
    CN_RC_Nb_19_1,
    CN_RC_Nb_19_2,
    CN_RC_Nb_19_3,
    CN_RC_Nb_19_4,
    CN_RC_Nb_19_5,
    CN_RC_Nb_19_6,
    CN_RC_Nb_19_7,
    CN_RC_Nb_19_8,
    CN_RC_Nb_19_9,
    CN_RC_Nb_19_dian,
    CN_RC_Nb_21_0,
    CN_RC_Nb_21_1,
    CN_RC_Nb_21_2,
    CN_RC_Nb_21_3,
    CN_RC_Nb_21_4,
    CN_RC_Nb_21_5,
    CN_RC_Nb_21_6,
    CN_RC_Nb_21_7,
    CN_RC_Nb_21_8,
    CN_RC_Nb_21_9,
    CN_RC_Nb_21_heng,
    CN_RC_Nb_21_maohao,
    CN_qiya,
    CN_qiyafuhaodeng,
    CN_qiyazouge_01,
    CN_qiyazouge_02,
    CN_tianlanye,
    CN_tianlanyefuhaodeng,
    CN_tianlanyezouge_01,
    CN_tianlanyezouge_02,
    CN_tianlanyezouge_03,
    CN_tianlanyezouge_04,
    CN_tianlanyezouge_05,
    CN_AUTO,
    CN_A_ECO,
    CN_A_POWER,
    CN_black,
    CN_dangwei_1,
    CN_dangwei_10,
    CN_dangwei_11,
    CN_dangwei_12,
    CN_dangwei_2,
    CN_dangwei_3,
    CN_dangwei_4,
    CN_dangwei_5,
    CN_dangwei_6,
    CN_dangwei_7,
    CN_dangwei_8,
    CN_dangwei_9,
    CN_dangwei_buming,
    CN_dangwei_DM,
    CN_dangwei_E,
    CN_dangwei_N,
    CN_dangwei_NE,
    CN_dangwei_R,
    CN_dangwei_R1,
    CN_dangwei_R2,
    CN_dangwei_RM,
    CN_MANUAL,
    CN_Alarm_01,
    CN_Alarm_01_1,
    CN_Alarm_02,
    CN_Alarm_02_1,
    CN_ODO,
    CN_ODO_danwei,
    CN_TRIP,
    CN_TRIP_A,
    CN_TRIP_B,
    CN_Alarm_01_image,
    CN_Alarm_01_imageblack,
    CN_Alarm_01_wenzi1,
    CN_Alarm_01_wenzi2,
    CN_Alarm_01_wenzi3,
    CN_Alarm_01_wenzi4,
    CN_Alarm_01_wenzi5,
    CN_Alarm_drive_04_image,
    CN_Alarm_drive_04_wenzi,
    CN_Alarm_drive_43_image,
    CN_Alarm_drive_43_wenzi1,
    CN_Alarm_drive_43_wenzi2,
    CN_Alarm_drive_43_wenzi3,
    CN_Alarm_drive_43_wenzi4,
    CN_Alarm_drive_44_image,
    CN_Alarm_drive_44_wenzi1,
    CN_Alarm_drive_44_wenzi1_1,
    CN_Alarm_drive_44_wenzi1_2,
    CN_Alarm_drive_44_wenzi1_3,
    CN_Alarm_drive_44_wenzi1_4,
    CN_Alarm_drive_44_wenzi1_5,
    CN_Alarm_drive_44_wenzi1_7,
    CN_Alarm_drive_44_wenzi2,
    CN_Alarm_drive_44_wenzi2_1,
    CN_Alarm_drive_05_image,
    CN_Alarm_drive_05_wenzi,
    CN_Alarm_drive_06_image,
    CN_Alarm_drive_06_wenzi,
    CN_Alarm_drive_10_image,
    CN_Alarm_drive_10_wenzi,
    CN_Alarm_drive_12_image,
    CN_Alarm_drive_12_wenzi,
    CN_Alarm_drive_14_image,
    CN_Alarm_drive_14_wenzi,
    CN_Alarm_TST_1_image,
    CN_Alarm_TST_1_wenzi,
    CN_Alarm_TST_2_image,
    CN_Alarm_TST_3_image,
    CN_Alarm_TST_3_wenzi1,
    CN_Alarm_TST_4_image,
    CN_Alarm_TST_4_wenzi1,
    CN_Alarm_TST_5_image,
    CN_Alarm_TST_6_image,
    CN_Alarm_TST_7_image,
    CN_Alarm_TST_8_image,
    CN_Alarm_G5_1_image,
    CN_Alarm_G5_1_wenzi1,
    CN_Alarm_G5_1_wenzi2,
    CN_Alarm_G5_1_wenzi3,
    CN_Alarm_G5_1_wenzi4,
    CN_Alarm_G5_10_11_image,
    CN_Alarm_G5_10_11_wenzi1,
    CN_Alarm_G5_10_11_wenzi2,
    CN_Alarm_G5_10_11_wenzi3,
    CN_Alarm_G5_10_11_wenzi4,
    CN_Alarm_G5_10_11_wenzi5,
    CN_Alarm_G5_12_25_image,
    CN_Alarm_G5_12_25_wenzi1,
    CN_Alarm_G5_12_25_wenzi10,
    CN_Alarm_G5_12_25_wenzi11,
    CN_Alarm_G5_12_25_wenzi2,
    CN_Alarm_G5_12_25_wenzi3,
    CN_Alarm_G5_12_25_wenzi4,
    CN_Alarm_G5_12_25_wenzi5,
    CN_Alarm_G5_12_25_wenzi6,
    CN_Alarm_G5_12_25_wenzi7,
    CN_Alarm_G5_12_25_wenzi8,
    CN_Alarm_G5_12_25_wenzi9,
    CN_Alarm_G5_13_14_image,
    CN_Alarm_G5_13_14_wenzi,
    CN_Alarm_G5_13_14_wenzi1,
    CN_Alarm_G5_13_14_wenzi2,
    CN_Alarm_G5_13_14_wenzi5,
    CN_Alarm_G5_16_image,
    CN_Alarm_G5_16_wenzi1,
    CN_Alarm_G5_16_wenzi2,
    CN_Alarm_G5_16_wenzi3,
    CN_Alarm_G5_12_23_image,
    CN_Alarm_G5_12_23_weizhi3,
    CN_Alarm_G5_12_23_wenzi1,
    CN_Alarm_G5_12_23_wenzi2,
    CN_Alarm_G5_12_23_wenzi4,
    CN_Alarm_G5_17_18_21_image,
    CN_Alarm_G5_17_18_21_image2,
    CN_Alarm_G5_17_18_21_wenzi1,
    CN_Alarm_G5_17_18_21_wenzi2,
    CN_Alarm_G5_17_18_21_wenzi3,
    CN_Alarm_G5_17_18_21_wenzi4,
    CN_Alarm_G5_17_18_21_wenzi5,
    CN_Alarm_G5_2_image,
    CN_Alarm_G5_2_image2,
    CN_Alarm_G5_2_wenzi,
    CN_Alarm_G5_2_wenzi1,
    CN_Alarm_G5_2_wenzi2,
    CN_Alarm_G5_3_image,
    CN_Alarm_G5_3_wenzi1,
    CN_Alarm_G5_3_wenzi2,
    CN_Alarm_G5_3_wenzi3,
    CN_Alarm_G5_3_wenzi4,
    CN_Alarm_G5_4_image,
    CN_Alarm_G5_4_wenzi1,
    CN_Alarm_G5_4_wenzi2,
    CN_Alarm_G5_4_wenzi3,
    CN_Alarm_G5_5_image,
    CN_Alarm_G5_5_wenzi1,
    CN_Alarm_G5_5_wenzi2,
    CN_Alarm_G5_5_wenzi3,
    CN_Alarm_G5_6_image,
    CN_Alarm_G5_6_wenzi1,
    CN_Alarm_G5_6_wenzi2,
    CN_Alarm_G5_7_image,
    CN_Alarm_G5_7_wenzi1,
    CN_Alarm_G5_7_wenzi2,
    CN_Alarm_G5_89_image,
    CN_Alarm_G5_89_wenzi1,
    CN_Alarm_G5_89_wenzi2,
    CN_Alarm_G5_89_wenzi3,
    CN_Alarm_G5_89_wenzi4,
    CN_Alarm_stop_31_image,
    CN_Alarm_stop_31_wenzi1,
    CN_Alarm_stop_32_image,
    CN_Alarm_stop_32_wenzi,
    CN_Alarm_drive_33_image,
    CN_Alarm_drive_33_wenzi1,
    CN_Alarm_drive_33_wenzi2,
    CN_Alarm_drive_55_image,
    CN_Alarm_drive_55_wenzi1_1,
    CN_Alarm_drive_55_wenzi1_2,
    CN_Alarm_stop_36_image,
    CN_Alarm_stop_36_wenzi1,
    CN_Alarm_stop_36_wenzi2,
    CN_Alarm_stop_55_image,
    CN_Alarm_stop_55_wenzi1_1,
    CN_Alarm_stop_55_wenzi1_2,
    CN_Alarm_drive_37_image,
    CN_Alarm_drive_37_wenzi,
    CN_Alarm_drive_39_image,
    CN_Alarm_drive_39_wenzi1,
    CN_Alarm_drive_39_wenzi2,
    CN_Alarm_drive_41_image,
    CN_Alarm_drive_41_wenzi,
    CN_Alarm_drive_56_image,
    CN_Alarm_drive_56_wenzi1,
    CN_Alarm_drive_56_wenzi2,
    CN_Alarm_stop_39_wenzi1,
    CN_Alarm_stop_43_image,
    CN_Alarm_stop_43_wenzi1,
    CN_Alarm_stop_43_wenzi2,
    CN_Alarm_stop_56_image,
    CN_Alarm_stop_56_wenzi1_1,
    CN_Alarm_stop_56_wenzi1_2,
    CN_Alarm_drive_42_image,
    CN_Alarm_drive_42_wenzi1,
    CN_Alarm_drive_42_wenzi2_1,
    CN_Alarm_drive_42_wenzi2_2,
    CN_Alarm_stop_17_wenzi2,
    CN_Alarm_stop_44_image,
    CN_Alarm_stop_44_wenzi1_1,
    CN_Alarm_stop_44_wenzi1_2,
    CN_Alarm_stop_44_wenzi2_1,
    CN_Alarm_stop_44_wenzi2_2,
    CN_Alarm_drive_70_image,
    CN_Alarm_drive_70_wenzi1,
    CN_Alarm_stop_70_wenzi1_1,
    CN_Alarm_stop_70_wenzi2,
    CN_Alarm_stop_71_wenzi1_1,
    CN_DPD_duijiliang,
    CN_DPD_H,
    CN_DPD_L,
    CN_DPD_zaishengjindu,
    CN_DPD_zouge1,
    CN_DPD_zouge2,
    CN_DPD_zouge3,
    CN_DPD_zouge4,
    CN_DPD_zouge5,
    CN_PJchesu,
    CN_PJchesu_kmh,
    CN_PJyouhao,
    CN_PJyouhao_L100km,
    CN_TRIPAB,
    CN_TRIPAB_A,
    CN_TRIPAB_B,
    CN_Bri_an,
    CN_Bri_ming,
    CN_Bri_zouge,
    CN_Alarm_Fault_01_image,
    CN_Alarm_Fault_01_wenzi,
    CN_Alarm_Fault_02_image,
    CN_Alarm_Fault_02_wenzi,
    CN_Alarm_Fault_03_image,
    CN_Alarm_Fault_03_wenzi,
    CN_Alarm_Fault_04_image,
    CN_Alarm_Fault_04_wenzi,
    CN_Alarm_Fault_05_image,
    CN_Alarm_Fault_05_wenzi,
    CN_Alarm_Fault_06_image,
    CN_Alarm_Fault_06_wenzi,
    CN_AM,
    CN_Fri,
    CN_kuohao,
    CN_Mon,
    CN_nian,
    CN_PM,
    CN_ri,
    CN_Sat,
    CN_Sun,
    CN_Thu,
    CN_Tue,
    CN_Wed,
    CN_yue,
    CN_Time_danwei,
    CN_Time_wenzi,
    CN_dianyaji_H,
    CN_dianyaji_kedu,
    CN_dianyaji_L,
    CN_dianyaji_tubiao,
    CN_dianyaji_zouge_red,
    CN_dianyaji_zouge_white,
    CN_ENTER_danjieshu,
    CN_ENTER_Gray,
    CN_ENTER_jieshu,
    CN_ENTER_White,
    CN_RETURN_Gray,
    CN_RETURN_quxiao,
    CN_RETURN_White,
    CN_shiwaiwendu,
    CN_wendudanwei,
    CN_xiaotianqi,
    CN_xingqier,
    CN_xingqiliu,
    CN_xingqiri,
    CN_xingqisan,
    CN_xingqisi,
    CN_xingqiwu,
    CN_xingqiyi,
    CN_dingsuxunhang,
    CN_dingsuxunhangdanwei,
    CN_dingsuxunhang_1,
    CN_dingsuxunhang_2,
    CN_dingsuxunhang_3,
    CN_dingsuxunhang_SET,
    CN_dingsuxunhang_STANDBY,
    CN_ADAS_wenzi,
    CN_che,
    CN_che_yinying_1,
    CN_che_yinying_2,
    CN_jiao1,
    CN_jiao2,
    CN_jiao3,
    CN_jiao4,
    CN_LeftRoad,
    CN_LeftRoad_1,
    CN_LeftRoad_yinying_1,
    CN_LeftRoad_yinying_2,
    CN_LeftRoad_yinying_3,
    CN_RightRoad,
    CN_RightRoad_1,
    CN_RightRoad_yiying_1,
    CN_RightRoad_yiying_2,
    CN_RightRoad_yiying_3,
    CN_Road1,
    CN_Road1_yinying_1,
    CN_Road1_yinying_2,
    CN_Road1_yinying_3,
    CN_Road2,
    CN_Road2_yinying_1,
    CN_Road2_yinying_2,
    CN_Road2_yinying_3,
    CN_Road3,
    CN_Road3_yinying_1,
    CN_Road3_yinying_2,
    CN_Road3_yinying_3,
    CN_tanhao1,
    CN_tanhao2,
    CN_fengexian,
    CN_gundongtiao,
    CN_Fty_Menu1_01black,
    CN_Fty_Menu1_01grey,
    CN_Fty_Menu1_01White,
    CN_Fty_Menu1_02black,
    CN_Fty_Menu1_02grey,
    CN_Fty_Menu1_02White,
    CN_Fty_Menu1_03black,
    CN_Fty_Menu1_03grey,
    CN_Fty_Menu1_03White,
    CN_Fty_Menu1_04black,
    CN_Fty_Menu1_04grey,
    CN_Fty_Menu1_04White,
    CN_Fty_Menu1_05black,
    CN_Fty_Menu1_05grey,
    CN_Fty_Menu1_05White,
    CN_Fty_Menu1_06black,
    CN_Fty_Menu1_06grey,
    CN_Fty_Menu1_06White,
    CN_Fty_Menu1_07black,
    CN_Fty_Menu1_07grey,
    CN_Fty_Menu1_07White,
    CN_Fty_Menu1_08black,
    CN_Fty_Menu1_08grey,
    CN_Fty_Menu1_08White,
    CN_Fty_Menu1_09black,
    CN_Fty_Menu1_09grey,
    CN_Fty_Menu1_09White,
    CN_Fty_Menu1_wenzi,
    CN_Fty_Menu2_01_1black,
    CN_Fty_Menu2_01_1grey,
    CN_Fty_Menu2_01_1white,
    CN_Fty_Menu2_01_2black,
    CN_Fty_Menu2_01_2grey,
    CN_Fty_Menu2_01_2white,
    CN_Fty_Menu2_01_3black,
    CN_Fty_Menu2_01_3grey,
    CN_Fty_Menu2_01_3white,
    CN_Fty_Menu2_01_4black,
    CN_Fty_Menu2_01_4grey,
    CN_Fty_Menu2_01_4white,
    CN_Fty_Menu2_01_wenzi,
    CN_Fty_Menu2_02_1,
    CN_Fty_Menu2_02_2,
    CN_Fty_Menu2_02_3,
    CN_Fty_Menu2_02_4,
    CN_Fty_Menu2_02_wenzi,
    CN_Fty_Menu2_03_1black,
    CN_Fty_Menu2_03_1grey,
    CN_Fty_Menu2_03_1white,
    CN_Fty_Menu2_03_2black,
    CN_Fty_Menu2_03_2grey,
    CN_Fty_Menu2_03_2white,
    CN_Fty_Menu2_03_3,
    CN_Fty_Menu2_03_4,
    CN_Fty_Menu2_03_5,
    CN_Fty_Menu2_03_6,
    CN_Fty_Menu2_03_7,
    CN_Fty_Menu2_03_wenzi,
    CN_Fty_Menu2_04_1,
    CN_Fty_Menu2_04_2,
    CN_Fty_Menu2_04_wenzi,
    CN_Fty_Menu2_05_1,
    CN_Fty_Menu2_05_2,
    CN_Fty_Menu2_05_3,
    CN_Fty_Menu2_05_wenzi,
    CN_Fty_Menu2_06_1black,
    CN_Fty_Menu2_06_1grey,
    CN_Fty_Menu2_06_1white,
    CN_Fty_Menu2_06_chesu,
    CN_Fty_Menu2_06_chesudanwei,
    CN_Fty_Menu2_06_MENU,
    CN_Fty_Menu2_06_youhao,
    CN_Fty_Menu2_06_youhaodanwei,
    CN_Fty_Menu2_07_1,
    CN_Fty_Menu2_07_wenzi,
    CN_Fty_Menu2_08_00,
    CN_Fty_Menu2_08_01,
    CN_Fty_Menu2_08_A,
    CN_Fty_Menu2_08_B,
    CN_Fty_Menu2_08_biaoge,
    CN_Fty_Menu2_08_C,
    CN_Fty_Menu2_08_D,
    CN_Fty_Menu2_08_E,
    CN_Fty_Menu2_08_F,
    CN_Fty_Menu2_08_FF,
    CN_Fty_Menu2_08_H,
    CN_Fty_Menu2_08_L,
    CN_Fty_Menu2_08_wenzi,
    CN_grey_no,
    CN_grey_yes,
    CN_white_fuwei,
    CN_white_jieshu,
    CN_white_jieshu_1,
    CN_white_no,
    CN_white_queding,
    CN_white_quxiao,
    CN_white_yes,
    CN_User_Menu1_01black,
    CN_User_Menu1_01grey,
    CN_User_Menu1_01white,
    CN_User_Menu1_02black,
    CN_User_Menu1_02grey,
    CN_User_Menu1_02white,
    CN_User_Menu1_03black,
    CN_User_Menu1_03grey,
    CN_User_Menu1_03white,
    CN_User_Menu1_04black,
    CN_User_Menu1_04grey,
    CN_User_Menu1_04white,
    CN_User_Menu1_05black,
    CN_User_Menu1_05grey,
    CN_User_Menu1_05white,
    CN_User_Menu1_06black,
    CN_User_Menu1_06grey,
    CN_User_Menu1_06white,
    CN_User_Menu1_wenzi,
    CN_User_Menu2_01_1black,
    CN_User_Menu2_01_1grey,
    CN_User_Menu2_01_1white,
    CN_User_Menu2_01_2black,
    CN_User_Menu2_01_2grey,
    CN_User_Menu2_01_2white,
    CN_User_Menu2_01_3black,
    CN_User_Menu2_01_3grey,
    CN_User_Menu2_01_3white,
    CN_User_Menu2_01_4black,
    CN_User_Menu2_01_4grey,
    CN_User_Menu2_01_4white,
    CN_User_Menu2_01_5black,
    CN_User_Menu2_01_5grey,
    CN_User_Menu2_01_5white,
    CN_User_Menu2_01_6black,
    CN_User_Menu2_01_6grey,
    CN_User_Menu2_01_6white,
    CN_User_Menu2_01_wenzi,
    CN_User_Menu2_02_1black,
    CN_User_Menu2_02_1grey,
    CN_User_Menu2_02_1white,
    CN_User_Menu2_02_2black,
    CN_User_Menu2_02_2grey,
    CN_User_Menu2_02_2white,
    CN_User_Menu2_02_3black,
    CN_User_Menu2_02_3grey,
    CN_User_Menu2_02_3white,
    CN_User_Menu2_02_4black,
    CN_User_Menu2_02_4grey,
    CN_User_Menu2_02_4white,
    CN_User_Menu2_02_5black,
    CN_User_Menu2_02_5grey,
    CN_User_Menu2_02_5white,
    CN_User_Menu2_02_6black,
    CN_User_Menu2_02_6grey,
    CN_User_Menu2_02_6white,
    CN_User_Menu2_02_7black,
    CN_User_Menu2_02_7grey,
    CN_User_Menu2_02_7white,
    CN_User_Menu2_02_8black,
    CN_User_Menu2_02_8grey,
    CN_User_Menu2_02_8white,
    CN_User_Menu2_02_wenzi,
    CN_User_Menu2_03_01black,
    CN_User_Menu2_03_01grey,
    CN_User_Menu2_03_01white,
    CN_User_Menu2_03_02black,
    CN_User_Menu2_03_02grey,
    CN_User_Menu2_03_02white,
    CN_User_Menu2_03_03black,
    CN_User_Menu2_03_03grey,
    CN_User_Menu2_03_03white,
    CN_User_Menu2_03_04black,
    CN_User_Menu2_03_04grey,
    CN_User_Menu2_03_04white,
    CN_User_Menu2_03_05black,
    CN_User_Menu2_03_05grey,
    CN_User_Menu2_03_05white,
    CN_User_Menu2_03_06black,
    CN_User_Menu2_03_06grey,
    CN_User_Menu2_03_06white,
    CN_User_Menu2_03_07black,
    CN_User_Menu2_03_07grey,
    CN_User_Menu2_03_07white,
    CN_User_Menu2_03_08black,
    CN_User_Menu2_03_08grey,
    CN_User_Menu2_03_08white,
    CN_User_Menu2_03_wenzi,
    CN_User_Menu2_04_10black,
    CN_User_Menu2_04_10grey,
    CN_User_Menu2_04_10white,
    CN_User_Menu2_04_11black,
    CN_User_Menu2_04_11grey,
    CN_User_Menu2_04_11white,
    CN_User_Menu2_04_1black,
    CN_User_Menu2_04_1grey,
    CN_User_Menu2_04_1white,
    CN_User_Menu2_04_2black,
    CN_User_Menu2_04_2grey,
    CN_User_Menu2_04_2white,
    CN_User_Menu2_04_3black,
    CN_User_Menu2_04_3grey,
    CN_User_Menu2_04_3white,
    CN_User_Menu2_04_4black,
    CN_User_Menu2_04_4grey,
    CN_User_Menu2_04_4white,
    CN_User_Menu2_04_5black,
    CN_User_Menu2_04_5grey,
    CN_User_Menu2_04_5white,
    CN_User_Menu2_04_6black,
    CN_User_Menu2_04_6grey,
    CN_User_Menu2_04_6white,
    CN_User_Menu2_04_7black,
    CN_User_Menu2_04_7grey,
    CN_User_Menu2_04_7white,
    CN_User_Menu2_04_8black,
    CN_User_Menu2_04_8grey,
    CN_User_Menu2_04_8white,
    CN_User_Menu2_04_9black,
    CN_User_Menu2_04_9grey,
    CN_User_Menu2_04_9white,
    CN_User_Menu2_04_wenzi,
    CN_User_Menu2_05_1black,
    CN_User_Menu2_05_1grey,
    CN_User_Menu2_05_1white,
    CN_User_Menu2_05_2black,
    CN_User_Menu2_05_2grey,
    CN_User_Menu2_05_2white,
    CN_User_Menu2_05_3black,
    CN_User_Menu2_05_3grey,
    CN_User_Menu2_05_3white,
    CN_User_Menu2_05_4black,
    CN_User_Menu2_05_4grey,
    CN_User_Menu2_05_4white,
    CN_User_Menu2_05_wenzi,
    CN_User_Menu2_06_1black,
    CN_User_Menu2_06_1grey,
    CN_User_Menu2_06_1white,
    CN_User_Menu2_06_2black,
    CN_User_Menu2_06_2grey,
    CN_User_Menu2_06_2white,
    CN_User_Menu2_06_wenzi,
    CN_User_Menu3_01_1,
    CN_User_Menu3_01_10,
    CN_User_Menu3_01_11,
    CN_User_Menu3_01_12,
    CN_User_Menu3_01_13,
    CN_User_Menu3_01_14,
    CN_User_Menu3_01_15,
    CN_User_Menu3_01_16,
    CN_User_Menu3_01_17,
    CN_User_Menu3_01_18,
    CN_User_Menu3_01_19,
    CN_User_Menu3_01_2,
    CN_User_Menu3_01_20,
    CN_User_Menu3_01_21,
    CN_User_Menu3_01_22,
    CN_User_Menu3_01_23,
    CN_User_Menu3_01_24,
    CN_User_Menu3_01_25,
    CN_User_Menu3_01_26,
    CN_User_Menu3_01_27,
    CN_User_Menu3_01_28,
    CN_User_Menu3_01_29,
    CN_User_Menu3_01_3,
    CN_User_Menu3_01_4,
    CN_User_Menu3_01_5,
    CN_User_Menu3_01_6,
    CN_User_Menu3_01_7,
    CN_User_Menu3_01_8,
    CN_User_Menu3_01_9,
    CN_User_Menu3_01_ERROR,
    CN_User_Menu3_01_km,
    CN_User_Menu3_01_wenzi,
    CN_User_Menu3_02_1,
    CN_User_Menu3_02_10,
    CN_User_Menu3_02_11,
    CN_User_Menu3_02_2,
    CN_User_Menu3_02_3,
    CN_User_Menu3_02_4,
    CN_User_Menu3_02_5,
    CN_User_Menu3_02_6,
    CN_User_Menu3_02_7,
    CN_User_Menu3_02_8,
    CN_User_Menu3_02_9,
    CN_User_Menu3_02_km,
    CN_User_Menu3_02_kuang,
    CN_User_Menu3_02_wenzi,
    CN_User_Menu3_03_10black,
    CN_User_Menu3_03_10white,
    CN_User_Menu3_03_11black,
    CN_User_Menu3_03_11white,
    CN_User_Menu3_03_12,
    CN_User_Menu3_03_13,
    CN_User_Menu3_03_14,
    CN_User_Menu3_03_15,
    CN_User_Menu3_03_16,
    CN_User_Menu3_03_17black,
    CN_User_Menu3_03_17white,
    CN_User_Menu3_03_18black,
    CN_User_Menu3_03_18white,
    CN_User_Menu3_03_19black,
    CN_User_Menu3_03_19white,
    CN_User_Menu3_03_1black,
    CN_User_Menu3_03_1white,
    CN_User_Menu3_03_20black,
    CN_User_Menu3_03_20white,
    CN_User_Menu3_03_21,
    CN_User_Menu3_03_22,
    CN_User_Menu3_03_23black,
    CN_User_Menu3_03_23white,
    CN_User_Menu3_03_24black,
    CN_User_Menu3_03_24white,
    CN_User_Menu3_03_25,
    CN_User_Menu3_03_26,
    CN_User_Menu3_03_2black,
    CN_User_Menu3_03_2white,
    CN_User_Menu3_03_3,
    CN_User_Menu3_03_4,
    CN_User_Menu3_03_5,
    CN_User_Menu3_03_6,
    CN_User_Menu3_03_7black,
    CN_User_Menu3_03_7white,
    CN_User_Menu3_03_8black,
    CN_User_Menu3_03_8white,
    CN_User_Menu3_03_9black,
    CN_User_Menu3_03_9white,
    CN_User_Menu3_03_AM,
    CN_User_Menu3_03_da,
    CN_User_Menu3_03_greenkuai,
    CN_User_Menu3_03_greykuang,
    CN_User_Menu3_03_greykuang_time,
    CN_User_Menu3_03_jiantou1,
    CN_User_Menu3_03_jiantoushang,
    CN_User_Menu3_03_jiantouxia,
    CN_User_Menu3_03_kmh,
    CN_User_Menu3_03_kuai,
    CN_User_Menu3_03_kuang,
    CN_User_Menu3_03_man,
    CN_User_Menu3_03_ms2,
    CN_User_Menu3_03_nian,
    CN_User_Menu3_03_PM,
    CN_User_Menu3_03_redge,
    CN_User_Menu3_03_ri,
    CN_User_Menu3_03_rpm,
    CN_User_Menu3_03_wenzi,
    CN_User_Menu3_03_whitege,
    CN_User_Menu3_03_whitekuai,
    CN_User_Menu3_03_xiao,
    CN_User_Menu3_03_xiao1,
    CN_User_Menu3_03_yellowkuang,
    CN_User_Menu3_03_yellowkuang_time,
    CN_User_Menu3_03_yue,
    CN_User_Menu3_03_zhong,
    CN_User_Menu3_03_0x12,
    CN_User_Menu3_03_0x13,
    CN_User_Menu3_03_0x22,
    CN_User_Menu3_03_0x23,
    CN_User_Menu3_03_0x31,
    CN_User_Menu3_03_0x32,
    CN_User_Menu3_03_0x33,
    CN_User_Menu3_03_0x34,
    CN_User_Menu3_03_0x41,
    CN_User_Menu3_03_0x42,
    CN_User_Menu3_03_0x43,
    CN_User_Menu3_03_0x44,
    CN_User_Menu3_03_che,
    CN_User_Menu3_03_luntai1,
    CN_User_Menu3_03_luntai2,
    CN_User_Menu3_03_luntai3,
    CN_User_Menu3_03_luntai4,
    CN_User_Menu3_03_luntai5,
    CN_User_Menu3_03_luntai_guang,
    CN_User_Menu3_04_che,
    CN_User_Menu3_04_jiantou1,
    CN_User_Menu3_04_jiantou2,
    CN_User_Menu3_04_kpa,
    CN_User_Menu3_04_luntai,
    CN_User_Menu3_04_luntai2,
    CN_User_Menu3_04_qiya1,
    CN_User_Menu3_04_qiya2,
    CN_User_Menu3_04_wendu,
    CN_User_Menu3_04_wendu1,
    CN_User_Menu3_04_wendu2,
    CN_DLR_Menu1_01black,
    CN_DLR_Menu1_01grey,
    CN_DLR_Menu1_01White,
    CN_DLR_Menu1_02black,
    CN_DLR_Menu1_02grey,
    CN_DLR_Menu1_02White,
    CN_DLR_Menu1_03black,
    CN_DLR_Menu1_03grey,
    CN_DLR_Menu1_03White,
    CN_DLR_Menu1_04black,
    CN_DLR_Menu1_04grey,
    CN_DLR_Menu1_04White,
    CN_DLR_Menu1_05black,
    CN_DLR_Menu1_05grey,
    CN_DLR_Menu1_05White,
    CN_DLR_Menu1_06black,
    CN_DLR_Menu1_06grey,
    CN_DLR_Menu1_06White,
    CN_DLR_Menu1_07black,
    CN_DLR_Menu1_07grey,
    CN_DLR_Menu1_07White,
    CN_DLR_Menu1_08black,
    CN_DLR_Menu1_08grey,
    CN_DLR_Menu1_08White,
    CN_DLR_Menu1_09black,
    CN_DLR_Menu1_09grey,
    CN_DLR_Menu1_09White,
    CN_DLR_Menu1_10black,
    CN_DLR_Menu1_10grey,
    CN_DLR_Menu1_10White,
    CN_DLR_Menu1_wenzi,
    CN_DLR_Menu2_01_1black,
    CN_DLR_Menu2_01_1grey,
    CN_DLR_Menu2_01_1white,
    CN_DLR_Menu2_01_2black,
    CN_DLR_Menu2_01_2grey,
    CN_DLR_Menu2_01_2white,
    CN_DLR_Menu2_01_3black,
    CN_DLR_Menu2_01_3grey,
    CN_DLR_Menu2_01_3white,
    CN_DLR_Menu2_01_4black,
    CN_DLR_Menu2_01_4grey,
    CN_DLR_Menu2_01_4white,
    CN_DLR_Menu2_01_wenzi,
    CN_DLR_Menu2_02_1,
    CN_DLR_Menu2_02_2,
    CN_DLR_Menu2_02_3,
    CN_DLR_Menu2_02_4,
    CN_DLR_Menu2_02_wenzi,
    CN_DLR_Menu2_03_1black,
    CN_DLR_Menu2_03_1grey,
    CN_DLR_Menu2_03_1white,
    CN_DLR_Menu2_03_2black,
    CN_DLR_Menu2_03_2grey,
    CN_DLR_Menu2_03_2white,
    CN_DLR_Menu2_03_3,
    CN_DLR_Menu2_03_4,
    CN_DLR_Menu2_03_5,
    CN_DLR_Menu2_03_6,
    CN_DLR_Menu2_03_7,
    CN_DLR_Menu2_03_wenzi,
    CN_DLR_Menu2_04_1,
    CN_DLR_Menu2_04_2,
    CN_DLR_Menu2_04_wenzi,
    CN_DLR_Menu2_05_1,
    CN_DLR_Menu2_05_2,
    CN_DLR_Menu2_05_3,
    CN_DLR_Menu2_05_wenzi,
    CN_DLR_Menu2_06_1,
    CN_DLR_Menu2_06_2,
    CN_DLR_Menu2_06_wenzi,
    CN_DLR_Menu2_07_1black,
    CN_DLR_Menu2_07_1grey,
    CN_DLR_Menu2_07_1white,
    CN_DLR_Menu2_07_chesu,
    CN_DLR_Menu2_07_chesudanwei,
    CN_DLR_Menu2_07_MENU,
    CN_DLR_Menu2_07_youhao,
    CN_DLR_Menu2_07_youhaodanwei,
    CN_DLR_Menu2_08_1,
    CN_DLR_Menu2_08_wenzi,
    CN_DLR_Menu2_09_00,
    CN_DLR_Menu2_09_01,
    CN_DLR_Menu2_09_A,
    CN_DLR_Menu2_09_B,
    CN_DLR_Menu2_09_biaoge,
    CN_DLR_Menu2_09_C,
    CN_DLR_Menu2_09_D,
    CN_DLR_Menu2_09_E,
    CN_DLR_Menu2_09_F,
    CN_DLR_Menu2_09_FF,
    CN_DLR_Menu2_09_H,
    CN_DLR_Menu2_09_L,
    CN_DLR_Menu2_09_wenzi,
    ziku_0,
    
    SpriteSize
};

t_PicStruct get_Pic_Attribute(uint32_t index);

#endif
